scala.tools.cmd.gen

# CodegenSpec

#### trait CodegenSpec extends Spec with StdOpts with Interpolation

Source
  CodegenSpec.scala

Linear Supertypes
Interpolation, StdOpts, Spec, AnyRef, Any
Known Subclasses
Codegen, CodegenSpec
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. CodegenSpec
2. Interpolation
3. StdOpts
4. Spec
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### abstract type OptionMagic <: Implicit

   Definition Classes
     Spec

### Abstract Value Members

1. #### abstract def help(str: ⇒ String): Unit

   Attributes
     protected
   Definition Classes
     Spec

2. #### implicit abstract def optionMagicAdditions(s: String): OptionMagic

   Attributes
     protected
   Definition Classes
     Spec

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from CodegenSpec to any2stringadd[CodegenSpec] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (CodegenSpec, B)

   Implicit information
     This member is added by an implicit conversion from CodegenSpec to ArrowAssoc[CodegenSpec] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### object Bash extends Opt

   I think we're as close as we can get to bundling completion with the program given the constraints imposed by bash.

   I think we're as close as we can get to bundling completion with the program given the constraints imposed by bash. This outputs the completion function to a tempfile and echoes ". /path/to/file" to the console. Place it inside backtickes like `partest --bash` and voila, you have absorbed command completion.

   Definition Classes
     StdOpts

7. #### object SelfUpdate extends Opt

   Generates a very basic runner script.

   Generates a very basic runner script. It's called SelfUpdate because once it exists you can do something like

   tools/scmp --self-update tools/scmp

   and it will overwrite itself with the current version.

   Definition Classes
     StdOpts

8. #### val anyvals: Boolean

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: (CodegenSpec) ⇒ Boolean, msg: ⇒ Any): CodegenSpec

    Implicit information
      This member is added by an implicit conversion from CodegenSpec to Ensuring[CodegenSpec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (CodegenSpec) ⇒ Boolean): CodegenSpec

    Implicit information
      This member is added by an implicit conversion from CodegenSpec to Ensuring[CodegenSpec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): CodegenSpec

    Implicit information
      This member is added by an implicit conversion from CodegenSpec to Ensuring[CodegenSpec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): CodegenSpec

    Implicit information
      This member is added by an implicit conversion from CodegenSpec to Ensuring[CodegenSpec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from CodegenSpec to StringFormat[CodegenSpec] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### val genall: Boolean

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def heading(str: ⇒ String): Unit

    Attributes
      protected
    Definition Classes
      Spec

23. #### object interpolate

    Definition Classes
      Interpolation

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### val outDir: Option[Directory]

29. #### def programInfo: Info

    Definition Classes
      CodegenSpec → Spec

30. #### def referenceSpec: CodegenSpec.type

    Definition Classes
      CodegenSpec → Spec

31. #### val selfUpdateName: Option[String]

    Definition Classes
      StdOpts

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### def toString(): String

    Definition Classes
      AnyRef → Any

34. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### def →[B](y: B): (CodegenSpec, B)

    Implicit information
      This member is added by an implicit conversion from CodegenSpec to ArrowAssoc[CodegenSpec] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Interpolation

### Inherited from StdOpts

### Inherited from Spec

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from CodegenSpec to any2stringadd[CodegenSpec]

### Inherited by implicit conversion StringFormat from CodegenSpec to StringFormat[CodegenSpec]

### Inherited by implicit conversion Ensuring from CodegenSpec to Ensuring[CodegenSpec]

### Inherited by implicit conversion ArrowAssoc from CodegenSpec to ArrowAssoc[CodegenSpec]

### Ungrouped